$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-d9e3f0ccfa75ffff0d59319cf499dc120865b7d7/rpcs3-v0.0.10-10572-d9e3f0cc_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = '5784ea23f159c78136cec87da35a55903a252576ca2447c7214df902db5c6acf'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
